require("copilot").setup({
  copilot_model = "claude-4-sonnet"
})

require("blink-copilot").setup({})

require("blink-cmp").setup({
  completion = {
    documentation = { auto_show = true, auto_show_delay_ms = 500 },
    ghost_text = { enabled = true },
    list = {
      selection = { preselect = false, auto_insert = true },
    },
  },
  keymap = {
    preset = "default",
    ["<Tab>"] = { "select_next", "fallback" },
    ["<S-Tab>"] = { "select_prev", "fallback" },
    ["<CR>"] = { "accept", "fallback" },
  },
  signature = { enabled = true },
  sources = {
    default = { "copilot", "lsp", "buffer", "path", "cmdline" },

    per_filetype = {
      codecompanion = { "codecompanion" }
    },

    providers = {
      copilot = {
        name = "copilot",
        module = "blink-copilot",
        score_offset = 100,
        async = true,
      }
    }
  },
})
